libgimpprint API Reference: include/gimp-print/xml.h Source File

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# include/gimp-print/xml.h

Go to the documentation of this file.

    00001 /*
    00002  * "$Id: xml_8h-source.html,v 1.1.1.2 2004/12/22 23:49:22 jlovell Exp $"
    00003  *
    00004  *   libgimpprint module loader header
    00005  *
    00006  *   Copyright 1997-2002 Michael Sweet (mike@easysw.com),
    00007  *      Robert Krawitz (rlk@alum.mit.edu) and Michael Natterer (mitch@gimp.org)
    00008  *   Copyright 2002-2003 Roger Leigh (rleigh@debian.org)
    00009  *
    00010  *   This program is free software; you can redistribute it and/or modify it
    00011  *   under the terms of the GNU General Public License as published by the Free
    00012  *   Software Foundation; either version 2 of the License, or (at your option)
    00013  *   any later version.
    00014  *
    00015  *   This program is distributed in the hope that it will be useful, but
    00016  *   WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    00017  *   or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    00018  *   for more details.
    00019  *
    00020  *   You should have received a copy of the GNU General Public License
    00021  *   along with this program; if not, write to the Free Software
    00022  *   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
    00023  */
    00024
    00025 #ifndef GIMP_PRINT_XML_H
    00026 #define GIMP_PRINT_XML_H
    00027
    00028 #ifdef __cplusplus
    00029 extern "C" {
    00030 #endif
    00031
    00032 #include <gimp-print/mxml.h>
    00033
    00034 typedef int (*stp_xml_parse_func)(stp_mxml_node_t *node, const char *file);
    00035
    00036 extern void
    00037 stp_register_xml_parser(const char *name, stp_xml_parse_func parse_func);
    00038
    00039 extern void
    00040 stp_unregister_xml_parser(const char *name);
    00041
    00042 extern void stp_register_xml_preload(const char *filename);
    00043 extern void stp_unregister_xml_preload(const char *filename);
    00044
    00045 extern int stp_xml_init_defaults(void);
    00046 extern int stp_xml_parse_file(const char *file);
    00047
    00048 extern long stp_xmlstrtol(const char *value);
    00049 extern unsigned long stp_xmlstrtoul(const char *value);
    00050 extern double stp_xmlstrtod(const char *textval);
    00051
    00052 extern void stp_xml_init(void);
    00053 extern void stp_xml_exit(void);
    00054 extern stp_mxml_node_t *stp_xml_get_node(stp_mxml_node_t *xmlroot, ...);
    00055 extern stp_mxml_node_t *stp_xmldoc_create_generic(void);
    00056 extern void stp_xml_preinit(void);
    00057
    00058 extern stp_sequence_t *stp_sequence_create_from_xmltree(stp_mxml_node_t *da);
    00059 extern stp_mxml_node_t *stp_xmltree_create_from_sequence(const stp_sequence_t *seq);
    00060
    00061 extern stp_curve_t *stp_curve_create_from_xmltree(stp_mxml_node_t *da);
    00062 extern stp_mxml_node_t *stp_xmltree_create_from_curve(const stp_curve_t *curve);
    00063
    00064 extern stp_array_t *stp_array_create_from_xmltree(stp_mxml_node_t *array);
    00065 extern stp_mxml_node_t *stp_xmltree_create_from_array(const stp_array_t *array);
    00066 extern void stp_xml_parse_file_named(const char *name);
    00067
    00068 #endif /* GIMP_PRINT_XML_H */
    00069 /*
    00070  * End of "$Id: xml_8h-source.html,v 1.1.1.2 2004/12/22 23:49:22 jlovell Exp $".
    00071  */